effect give @a minecraft:saturation 99999 255 true
effect give @a[scores={regenTime=60..}] minecraft:regeneration 1 2 true
scoreboard players reset @a[scores={regenTime=60..}] regenTime
execute as @e[scores={timer=1..},tag=controller] run scoreboard players set @a[scores={playing=1..}] talk 1000
execute as @e[type=item,tag=!sunny] run data merge entity @s {PickupDelay:0}
execute as @e[scores={boss=0},tag=controller] run effect give @a[tag=!lava] resistance 1 10 true
execute as @e[scores={boss=1..},tag=controller] run effect clear @a resistance
teleport @e[type=item,tag=sunny] 1106 6 -748
execute as @e[scores={scene=7},tag=controller] run tag @e[type=item,nbt={Item:{id:"minecraft:tropical_fish",Count:1b}}] add sunnyDecoy
execute as @e[tag=sunnyDecoy] run teleport @e[tag=sunnyDecoy] @p[scores={playing=1..}]
execute as @e[type=villager] at @s positioned ~ ~1 ~ run kill @e[type=fishing_bobber,distance=..1]
scoreboard players set @a darkHall 0
scoreboard players set @a[x=1175,y=20,z=-755,dx=6,dy=5,dz=63] darkHall 1
kill @e[type=wither_skull]
teleport @e[tag=miniBossBattle] 1168 150 -762
tag @e[type=evoker_fangs] add miniBossMinion
scoreboard players set @e[tag=controller] miniBossMinions 0
execute as @e[tag=miniBossMinion] run scoreboard players add @e[tag=controller] miniBossMinions 1
execute at @e[type=vex] run summon zombie ~ ~ ~ {IsBaby:1,Silent:1,PersistenceRequired:1,Tags:["miniMiniBossMinion"],Attributes:[{Name:generic.maxHealth,Base:1.0},{Name:generic.movementSpeed,Base:0.24}],Health:1.0}
execute as @e[type=vex] at @s run teleport ~ ~30 ~
kill @e[type=vex]
effect give @a[tag=ghostSheet] invisibility 1 255 true
execute as @e[scores={ghaspScene=1..},tag=controller] at @s run tp @e[tag=ghasp] @e[tag=ghaspSpot,limit=1]
tag @a remove lava
execute as @a at @s if block ~ ~ ~ lava run tag @p add lava
effect give @a[tag=musicWizardHouse] night_vision 99999 255 true
effect clear @a[scores={darkHall=0},tag=!musicWizardHouse] night_vision
effect give @a[scores={darkHall=1..}] night_vision 99999 255 true
effect clear @a[scores={darkHall=0},tag=!musicWizardHouse] night_vision
effect clear @a[tag=ghostSheet] levitation
scoreboard players set @a foodItem 0
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:cake",Count:1b}}] foodItem 1
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:iron_sword",Count:1b}}] foodItem 2
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:bone_meal",Count:1b}}] foodItem 3
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:carrot",Count:1b}}] foodItem 4
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:potato",Count:1b}}] foodItem 5
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:tropical_fish",Count:1b}}] foodItem 6
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:cooked_chicken",Count:1b}}] foodItem 7
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:poisonous_potato",Count:1b}}] foodItem 8
tag @a remove riddle
tag @a[nbt={SelectedItem:{id:"minecraft:paper",Count:1b}}] add riddle
execute as @e[scores={foodItem=1..},tag=controller] run scoreboard players add @e[tag=controller] foodTime 1
execute as @e[type=villager,scores={timer=1..}] run scoreboard players set @a talk 1000
execute as @e[scores={foodItem=1..},tag=controller] run scoreboard players set @a talk 1000
execute as @e[type=villager,scores={timer=1..}] run scoreboard players add @s time 1
tag @a remove riddleInv
tag @a[nbt={Inventory:[{id:"minecraft:paper",Count:1b}]}] add riddleInv
execute as @a[scores={riddle=0},tag=riddle] at @s run playsound item.armor.equip_leather master @p ~ ~ ~ 1000
tellraw @a[scores={riddle=0},tag=riddle] [{"text":"The riddle reads: ","color":"aqua","bold":"true"},{"text":"In the moonlight the purple man travels from the gray mountains to the blue waters. At 6 it flips, the purple man travels from the blue waters to the gray mountains. On his journey inbetween places, what is it he holds?","color":"white","bold":"false"}]
scoreboard players set @a riddle 0
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:paper",Count:1b}}] riddle 1
tag @a remove ultraTorch
tag @a[nbt={SelectedItem:{id:"minecraft:redstone_torch",Count:1b}}] add ultraTorch
execute as @a[tag=ultraTorch] run tag @a[scores={playing=1..}] add ultraTorch
execute as @a[scores={ultraTorch=0},tag=ultraTorch] at @s run playsound minecraft:block.comparator.click master @p ~ ~ ~ 1000
execute at @a[scores={ultraTorch=0},tag=ultraTorch] run particle flame ~ ~1 ~ 0.2 0.2 0.2 0.1 20
tellraw @a[scores={ultraTorch=0},tag=ultraTorch] [{"text":"Wow! You can now see and walk through things you normally wouldn't be able to!","color":"gray","italic":"true"}]
effect give @a[scores={ultraTorch=0},tag=ultraTorch] nausea 99999 255 true
execute as @a[scores={ultraTorch=0},tag=ultraTorch] run fill 1253 7 -732 1244 5 -732 air destroy
execute as @a[scores={ultraTorch=1},tag=!ultraTorch] run clone 1170 62 -786 1161 60 -786 1244 5 -732
execute as @a[scores={ultraTorch=0},tag=ultraTorch] run fill 1246 4 -714 1246 5 -715 air destroy
execute as @a[scores={ultraTorch=1},tag=!ultraTorch] run fill 1246 4 -714 1246 5 -715 cracked_stone_bricks
execute as @a[scores={ultraTorch=0},tag=ultraTorch] run fill 1308 5 -762 1308 6 -762 air destroy
execute as @a[scores={ultraTorch=0},tag=ultraTorch] run fill 1307 5 -762 1307 7 -762 air destroy
execute as @a[scores={ultraTorch=1},tag=!ultraTorch] run fill 1308 5 -762 1308 6 -762 cracked_stone_bricks
execute as @a[scores={ultraTorch=1},tag=!ultraTorch] run fill 1307 5 -762 1307 7 -762 cracked_stone_bricks
scoreboard players set @a ultraTorch 0
scoreboard players set @a[tag=ultraTorch] ultraTorch 1
effect give @a[tag=ultraTorch] slowness 1 5 true
effect clear @a[scores={ultraTorch=0},tag=!ultraTorch] nausea
effect clear @a[scores={ultraTorch=0},tag=!ultraTorch] slowness
execute as @e[scores={scene=17..},tag=controller] run spawnpoint @a[scores={playing=1..}] 1179 15 -882
execute as @e[scores={tunePuzzle=0..19},tag=controller] at @s run effect clear @a[x=1181,y=6,z=-782,dx=0,dy=1,dz=0] jump_boost
execute as @e[scores={miniBossMinions=0,scene=0..16},tag=controller] run kill @e[tag=miniMiniBossMinion]
execute as @e[type=item] run data merge entity @s {Fire:-1s}
execute as @e[tag=bossMinion] run data merge entity @s {Fire:-1s}
xp set @a 0 levels
xp set @a 0 points